web-build-publish-docker-image-staging:
  stage: build-app
  extends: .build-docker-image
  script:
    - cd pkgs/web && make build-publish-staging
  only:
    refs:
      - develop
    changes:
      - pkgs/web/**/*
      - pkgs/core/**/*.ts
      - pkgs/next/**/*.ts
      - pkgs/ui/**/*.ts
  tags:
    - eks-cluster

web-build-publish-docker-image-production:
  stage: build-app
  extends: .build-docker-image
  script:
    - cd pkgs/web && make build-publish-production
  only:
    refs:
      - master
    changes:
      - pkgs/web/**/*
      - pkgs/core/**/*.ts
      - pkgs/next/**/*.ts
      - pkgs/ui/**/*.ts
  tags:
    - eks-cluster